import sys
import csv
import os
import subprocess
import bs4

#----------------------------------------------------------------------------------------#

def odrediNajboljegStudenta(filename):
    file = open(filename)
    studenti = csv.DictReader(file,quotechar='"')

    maxstudent = None
    maxprosek = 0

    for student in studenti:
        if(float(student['Prosek']) > float(maxprosek)):
            maxprosek = student['Prosek']
            maxstudent = student
    return maxstudent

#----------------------------------------------------------------------------------------#

folderSaSpiskovima = "FajloviZaDekana"

Pera = subprocess.Popen("py pera.py")
Mika = subprocess.Popen("py mika.py")


while(Pera.poll() == None or Mika.poll() == None):
    i = True ####


if(Pera.poll() != 0 or Mika.poll() != 0):
    print("Parsiranje fajlova nije uspelo")
    sys.exit(0)

MaxStudent = None
MaxProsek = 0

for folderName,subfolders,filenames in os.walk(folderSaSpiskovima):
    for filename in filenames:
        if(filename.endswith(".csv")):
            najbolji = odrediNajboljegStudenta(folderSaSpiskovima+"\\"+filename)
            if(float(najbolji['Prosek']) > float(MaxProsek)):
                MaxProsek = najbolji['Prosek']
                MaxStudent = najbolji

print(MaxStudent['Ime Prezime'],MaxStudent['Indeks'],MaxStudent['Prosek'],MaxStudent['Grupa'])

